Search documentation of ash

# View Source Ash.Reactor (ash v3.4.30)

`Ash.Reactor` is a `Reactor` extension which provides steps for working with Ash resources and actions.

See the Ash Reactor Guide for more information.

# Summary

## Types

action()

## Functions

ash(body)

# Types

Link to this type

# action()

View Source

    @type action() ::
      Ash.Reactor.Dsl.Action.t()
      | Ash.Reactor.Dsl.AshStep.t()
      | Ash.Reactor.Dsl.BulkCreate.t()
      | Ash.Reactor.Dsl.BulkUpdate.t()
      | Ash.Reactor.Dsl.Create.t()
      | Ash.Reactor.Dsl.Destroy.t()
      | Ash.Reactor.Dsl.Load.t()
      | Ash.Reactor.Dsl.Read.t()
      | Ash.Reactor.Dsl.ReadOne.t()
      | Ash.Reactor.Dsl.Update.t()

# Functions

Link to this macro

# ash(body)

View Source (macro)